package com.infoepoch.pms.dispatchassistant.domain.langchain.record.conversation.line;

public class QuestionRequest {
    public QuestionRequest() {
    }

    /**
     * 仓储还原
     * @param keyword
     * @param requestId
     * @param dialogId
     */
    public QuestionRequest(String keyword, String requestId, String dialogId) {
        this.keyword = keyword;
        this.requestId = requestId;
        this.dialogId = dialogId;

    }

    /**
     * 关键词
     */
    private String keyword;
    /**
     *  时间戳+6位随机数
     */
    private String requestId;
    /**
     * (yyyyMMddHHmmssSSS)+6位随机数
     */
    private String dialogId;


    public String getKeyword() {
        return keyword;
    }
    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getRequestId() {
        return requestId;
    }
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }


    public String getDialogId() {
        return dialogId;
    }
    public void setDialogId(String dialogId) {
        this.dialogId = dialogId;
    }

}
